Get environment object

Retrieve details about an environment object.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to which the environment object belongs.
environmentObjectIdstringRequired
The environment object's ID.

Response

OK
objectKeystring
The key for the environment object
objectTypeenum
The type of environment object
scopeenum
The scope of the environment object
scopeEntityIdstring
The ID of the scope entity where the environment object is created
setFieldslist of strings

Names of fields that have a value set on the environment object. Secret values are masked in responses, so this list lets clients tell a set secret from an unset field. Map members appear as dotted paths (for example “extra.aws_secret”)

airflowVariableobject
autoLinkDeploymentsboolean
Whether or not to automatically link Deployments to the environment object
connectionobject
createdAtstring

The time when the environment object was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ

createdByobject
descriptionstring
The description of the environment object
environmentVariableobject
idstring
The ID of the environment object
metricsExportobject
sourceScopeenum
The source scope of the environment object, if it is resolved from a link
sourceScopeEntityIdstring
The source scope entity ID of the environment object, if it is resolved from a link
updatedAtstring

The time when the environment object was updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ

updatedByobject

Errors

401
Get Environment Object Request Unauthorized Error
403
Get Environment Object Request Forbidden Error
404
Get Environment Object Request Not Found Error
405
Get Environment Object Request Method Not Allowed Error
500
Get Environment Object Request Internal Server Error